
void _efl_filter_model_filter_set(Eo *obj, Efl_Filter_Model_Data *pd, void *filter_data, EflFilterModel filter, Eina_Free_Cb filter_free_cb);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_filter_model_filter_set, EFL_FUNC_CALL(filter_data, filter, filter_free_cb), void *filter_data, EflFilterModel filter, Eina_Free_Cb filter_free_cb);

void _efl_filter_model_efl_object_destructor(Eo *obj, Efl_Filter_Model_Data *pd);


Eina_Future *_efl_filter_model_efl_model_children_slice_get(Eo *obj, Efl_Filter_Model_Data *pd, unsigned int start, unsigned int count);


unsigned int _efl_filter_model_efl_model_children_count_get(const Eo *obj, Efl_Filter_Model_Data *pd);


Eina_Value *_efl_filter_model_efl_model_property_get(const Eo *obj, Efl_Filter_Model_Data *pd, const char *property);


unsigned int _efl_filter_model_efl_composite_model_index_get(const Eo *obj, Efl_Filter_Model_Data *pd);


static Eina_Bool
_efl_filter_model_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_FILTER_MODEL_EXTRA_OPS
#define EFL_FILTER_MODEL_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_filter_model_filter_set, _efl_filter_model_filter_set),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_filter_model_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_model_children_slice_get, _efl_filter_model_efl_model_children_slice_get),
      EFL_OBJECT_OP_FUNC(efl_model_children_count_get, _efl_filter_model_efl_model_children_count_get),
      EFL_OBJECT_OP_FUNC(efl_model_property_get, _efl_filter_model_efl_model_property_get),
      EFL_OBJECT_OP_FUNC(efl_composite_model_index_get, _efl_filter_model_efl_composite_model_index_get),
      EFL_FILTER_MODEL_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_filter_model_class_desc = {
   EO_VERSION,
   "Efl.Filter_Model",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Filter_Model_Data),
   _efl_filter_model_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_filter_model_class_get, &_efl_filter_model_class_desc, EFL_COMPOSITE_MODEL_CLASS, NULL);
